//// @ts-nocheck
import { initConfig, requestSimplified } from './src/index'

const { get: getRequest, post: postRequest } = requestSimplified

initConfig({
  config: {
    baseURL: 'http://localhost:3000/',
    data: {
      name: 'dgf'
    }
  },
  finalConfig(config) {
    return {
      data: {
        age: 30
      },
      // cancel: 2
    }
  },
  // concurrency: 1
})

const testPost = (config = {}) => {
  return postRequest({
    url: '/test',
    cache: true,
    successHandler: (res) => {
      // console.log('post successHandler', res)
    },
    ...config
  })
}
const testGet = (data: { sex: number; school: string }, config = {}) => {
  return getRequest<{ name: string; data: { name: string; age: number } }, typeof data>({
    url: '/test1',
    maxRetryCount: 2,
    successHandler: (res) => {
      console.log('get successHandler', res.data.data.name)
    },
    successMsg: (payload) => '1111',
    handleDateField: 'YYYY-MM-DD',
    data
  })
}

// testPost({
//   data: { name: '111', age: 12 }
// })
// testPost({
//   data: { name: '111', age: 20 }
// })
// testPost({
//   data: { name: '222', age: 24 }
// })
// testPost({
//   data: { age: 24 }
// })
// testPost({
//   data: { sex: '男' }
// })
// testGet(
//   {
//     sex: 1,
//     school: '北京大学'
//   },
//   {
//     data: { page: 1, num: 20 }
//   }
// )

testPost({
  data: { name: 'dgf' }
}).then((res) => {
  console.log(res.data)
  return testPost({
    data: { name: 'dgf' }
  })
}).then((res) => {
  console.log(res.data)
  return testPost({
    data: { sex: '男' }
  })
}).then((res) => {
  console.log(res.data)
  return testPost({
    data: { sex: '男' }
  })
}).then(res => {
  console.log(res.data)
})
testPost({ data: { test: true } })
testGet()
