/**
 * 延时效果
 */
import { delay } from './util'
import type { DelayConf, DelayOption, ApiConfig } from './type'

export const delayResponse =
  process.env.NODE_ENV === 'development'
    ? async (config: ApiConfig, status: keyof DelayOption) => {
        const delayConf: DelayConf =
          typeof config.delay === 'function' ? config.delay(config.payload, config.isFinalResponse) : config.delay
        const delayOption: DelayOption =
          typeof delayConf === 'number' ? { success: delayConf, fail: delayConf } : delayConf
        if (delayOption[status]) {
          await delay(delayOption[status])
        }
      }
    : null
