/**
 * 将返回值进行了简化，去掉了axios的那一层数据，res.data直接就是服务端返回的数据
 * 保留两种方式是为了兼容多个项目的写法，实践看来精简的这种方式还是更好用一点
 */

import { request } from './core'
import type { Data, ApiConfig, ExtendedAxiosRequestConfig } from './type'

const post = <R = Data, D = Data>(config: ExtendedAxiosRequestConfig<R, D>) => {
  return request<R>({ ...config, method: 'post' } as ApiConfig).then(res => res.data)
}

const get = <R = Data, D = Data>(config: ExtendedAxiosRequestConfig<R, D>) => {
  return request<R>({ ...config, method: 'get' } as ApiConfig).then(res => res.data)
}

export default {
  get,
  post
}
