/**
 * 完整的axios数据返回结果，获取数据时，需要通过res.data.data获取
 */

import { request } from './core'
import type { Data, ApiConfig, ExtendedAxiosRequestConfig } from './type'

const post = <R = Data, D = Data>(config: ExtendedAxiosRequestConfig<R, D>) => {
  return request<R>({ ...config, method: 'post' } as ApiConfig)
}

const get = <R = Data, D = Data>(config: ExtendedAxiosRequestConfig<R, D>) => {
  return request<R>({ ...config, method: 'get' } as ApiConfig)
}

export default {
  get,
  post
}
