import { defineConfig } from 'vite'
import dts from 'vite-plugin-dts'

export default defineConfig({
  plugins: [
    dts({
      outDir: 'es',
      // 将类型文件输出到一起，
      rollupTypes: true,
      compilerOptions: {
        allowImportingTsExtensions: false
      }
    })
  ],
  build: {
    outDir: 'es',
    lib: {
      entry: './src/index',
      fileName: 'index',
      formats: ['es']
    },
    rollupOptions: {
      external: ['axios', 'lodash', 'dayjs'],
      output: {
        globals: {
          axios: 'axios',
          lodash: 'lodash',
          dayjs: 'dayjs'
        }
      }
    }
  },
})
